package com.gyee.frame.common.quartz.task;

import com.gyee.frame.service.app.bracelet.BraceletService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component("braceletPushTask")
public class BraceletPushTask {
    @Autowired
    private BraceletService braceletService;
    /**
     * 无参的任务
     */
    public void braceletPushTask() throws Exception {
        braceletService.braceletPushTask();//调用list方法完成对 key ："weatherProphet_1" ，路径"weather/weatherProphet_1"的推送
        //System.out.println("我已执行");
    }


    /**
     * 有参任务
     * 目前仅执行常见的数据类型  Integer Long  带L  string  带 ''  bool Double 带 d
     * @param a
     * @param b
     *
     */
    public void runTask2(Integer a,Long b,String c,Boolean d,Double e)
    {
        //List<TsysUser> list=  tsysUserMapper.selectByExample(new TsysUserExample());
        //System.err.println("用户查询num："+list.size());
        System.out.println("正在执行定时任务，带多个参数的方法"+a+"   "+b+" "+c+"  "+d+" "+e+"执行时间:"+new Date().toLocaleString());
    }
}
