package com.gyee.frame.common.spring;

/**
 * 
 * 
 * 项目名称：nxfd 类名称：Constant 类描述： 创建人：石林 创建时间：2014-3-4 上午10:07:03 修改人：shilinno1
 * 修改时间：2014-3-4 上午10:07:03 修改备注：
 * 
 * @version
 * 
 */
public class Constant {
	/**
	 * EdnaAPI 时间间隔
	 */
	public static final Long EDNAAPI_PRIED = 30l;
	public static final Long TOP_PRIED = 1800l;

	public static final String TPOINT_ALL_RFDL = "RFDL"; // 汇总日发电量
	public static final String TPOINT_ALL_YFDL = "YFDL"; // 汇总月发电量
	public static final String TPOINT_ALL_NFDL = "NFDL"; // 汇总年发电量
	public static final String TPOINT_ALL_SJGL = "RPJGL"; // 汇总日实际功率
	public static final String TPOINT_ALL_PJFS = "RPJFS"; // 汇总日平均风速

	public static final String[] TPOINT_WP_AGC = { "AGC001", "AGC002",
			"AGC004", "AGC005", "AGC006", "AGC007", "AGC008", "AGC011",
			"AGC014", "AGC015", "AGC021", "AGC022", "AGC023", "AGC024",
			"AGC025", "AGC026", "AGC031" };
	public static final String[] TPOINT_WP_AGCYCGL = { "FCFGCDQ0001",
			"FCFGCDQ0002", "FCFGCDQ0003", "FCFGCDQ0004", "FCFGCDQ0005",
			"FCFGCDQ0006", "FCFGCDQ0007", "FCFGCDQ0008", "FCFGCDQ0009",
			"FCFGCDQ0010", "FCFGCDQ0011", "FCFGCDQ0012", "FCFGCDQ0013",
			"FCFGCDQ0014", "FCFGCDQ0015", "FCFGCDQ0016" };
	public static final String TPOINT_WP_FGLYC = "FCFGCDQ0001,FCFGCDQ0003,FCFGCDQ0005,FCFGCDQ0007,FCFGCDQ0009,FCFGCDQ0011,FCFGCDQ0013,FCFGCDQ0015";
	public static final String TPOINT_WP_FGLYC2 = "FCFGCDQ0002,FCFGCDQ0004,FCFGCDQ0006,FCFGCDQ0008,FCFGCDQ0010,FCFGCDQ0012,FCFGCDQ0014,FCFGCDQ0016";
	public static final String TPOINT_WP_FGLYCDT = "FCFGDQDT00";
	public static final String TPOINT_WP_FGLYCST = "FCFGDQST00";

	public static final String TPOINT_WP_FGLYC24 = "FCFGCDQ0004,FCFGCDQ0008,FCFGCDQ0012,FCFGCDQ0016";

	public static final String TPOINT_WP_YCGL = "RPJGL"; // 风场预测功率短期次天00:00:00
	public static final String TPOINT_WP_PJFS = "RPJFS"; // 电场日平均风速

	public static final String TPOINT_WP_SWDL = "SWDLB"; // 风场上网电量
	public static final String TPOINT_WP_GWDL = "GWGWB"; // 风场购网电量
	public static final String TPOINT_WP_NWGWDL = "NWGWB"; // 农网购网电量

	public static final String TPOINT_AQTS = "AQTS"; // 安全天数
	public static final String TPOINT_JPEYHT = "JPEYHT"; // 减排二氧化碳
	public static final String TPOINT_JPEYHL = "JPEYHL"; // 减排二氧化硫
	public static final String TPOINT_JYBM = "JYBM"; // 节约标煤
	public static final String TPOINT_JYS = "JYS"; // 节约用水
	/**
	 * 空气温度
	 */
	public static final String TPOINT_WP_FCCFTWD = "FCCFTWD";// 温度

	public static int WAITING_STATUS = 0;// 待机
	public static int RUN_STATUS = 1;// 并网
	public static int FAULT_STATUS = 2;// 故障停机
	public static int INTERRUPTION_STATUS = 3;// 通讯中断
	public static int MAINTENANCE_STATUS = 4;// 维护停机
	public static String FAULT_NAME = "故障";
	public static String MAINTENANCE_NAME = "维护";
	public static String WAITING_NAME = "待机";
	public static String RUN_NAME = "运行";
	public static String INTERRUPTION_NAME = "离线";

	public static final String TPOINT_WP_SJGL = "SSZGL"; // 日实际功率
	public static final String TPOINT_WP_SFDL = "SFDL";// 总发电量（升压站）
	public static final String TPOINT_WP_SSFS = "SSFS"; // 实时平均风速

	public static final String TPOINT_WP_RFDL = "RFDLB"; // 日发电量
	public static final String TPOINT_WP_YFDL = "YFDLB"; // 月发电量
	public static final String TPOINT_WP_NFDL = "NFDLB"; // 年发电量

	// public static final String TPOINT_WP_RFDL = "RFDL"; // 日发电量
	// public static final String TPOINT_WP_YFDL = "YFDL"; // 月发电量
	// public static final String TPOINT_WP_NFDL = "NFDL"; // 年发电量

	public static final String TPOINT_WP_YFDLD = "YFDLD"; // 月发电量-自算

	public static final String TPOINT_WT_RFDL = "RFDL";// 风机日发电量与SCADA日风场发电量
	public static final String TPOINT_WT_DCRFDL = "AI064";// 导出单机发电量
	public static final String TPOINT_WT_YFDL = "YFDL";// 风机月发电量
	public static final String TPOINT_WT_NFDL = "NFDL";// 风机年发电量

	public static final String TPOINT_WT_RFDL2 = "RFDLREAD";// 逆变器日发电量
	public static final String TPOINT_WP_RFDLBZ = "RFDLE";// 日理论发电量
	public static final String TPOINT_WP_ZLLGL = "ZLLGL";// 总理论功率
	public static final String TPOINT_WP_ZZSGL = "ZZSGL";// 总应发功率
	public static final String TPOINT_WP_SWDLN = "SWDLN";// 年上网电量
	public static final String TPOINT_WP_SWDLY = "SWDLY";// 月上网电量

	public static final String TPOINT_WT_XDTS = "XDTS";// 限电台数
	public static final String TPOINT_WT_YXTS = "YXTS";// 运行台数
	public static final String TPOINT_WT_DJTS = "DJTS"; // 待机台数
	public static final String TPOINT_WT_WHTJ = "WHTJ";// 维护台数
	public static final String TPOINT_WT_GZTJ = "GZTJ";// 故障台数
	public static final String TPOINT_WT_TXZD = "TXZD";// 离线台数

	public static final String TPOINT_WT_U1YZDL = "AI061";// U1项绕组电流
	public static final String TPOINT_WT_U2YZDL = "AI062";// U2项绕组电流
	public static final String TPOINT_WT_U3YZDL = "AI063";// U3项绕组电流
	public static final String TPOINT_WT_U1YZDY = "AI058";// U1项绕组电压
	public static final String TPOINT_WT_U2YZDY = "AI059";// U2项绕组电压
	public static final String TPOINT_WT_U3YZDY = "AI060";// U3项绕组电压
	public static final String TPOINT_WT_FDJZS = "AI128";// 发电机转速
	public static final String TPOINT_WT_U1YZWD = "AI045";// U1绕组温度
	public static final String TPOINT_WT_V1YZWD = "AI047";// V1绕组温度
	public static final String TPOINT_WT_W1YZWD = "AI049";// W1绕组温度
	public static final String TPOINT_WT_YLZS = "AI012";// 叶轮转速
	public static final String TPOINT_WT_FJJJJ = "AI085";// 风机浆距角
	// public static final String TPOINT_WT_DWZWD = "AI071";// 低速轴温度
	// public static final String TPOINT_WT_GWZWD = "AI072";// 高速轴温度
	public static final String TPOINT_WT_DWZWD = "AI038";// shaft轴1温度
	public static final String TPOINT_WT_GWZWD = "AI039";// shaft轴2温度
	public static final String TPOINT_WT_CLXWD = "AI041";// 齿轮箱油温
	public static final String TPOINT_WT_BJJD1 = "AI076";// 变桨角度1
	public static final String TPOINT_WT_BJJD2 = "AI077";// 变桨角度2
	public static final String TPOINT_WT_BJJD3 = "AI078";// 变桨角度3
	public static final String TPOINT_WT_PHWZ = "AI034";// 偏航位置
	public static final String TPOINT_WT_PJFS = "RPJFS"; // 日平均风速
	public static final String TPOINT_WT_FJGL = "AI130";// 风机功率
	public static final String TPOINT_WT_PJGL = "RPJGL";// 风机平均功率
	public static final String TPOINT_WT_GLYS = "AI067";// 功率因数
	public static final String TPOINT_WT_JCWWD = "AI056";// 机舱外温度
	public static final String TPOINT_WT_JCWD = "AI057";// 机舱温度
	public static final String TPOINT_WT_TDGWD = "AI069";// 塔底柜温度
	public static final String TPOINT_WT_JCGWD = "AI070";// 机舱柜温度
	public static final String TPOINT_WT_FJFX = "AI008";// 风机风向
	public static final String TPOINT_WT_DFJD = "AI036";// 对风角度
	public static final String TPOINT_WT_FJPL = "AI068";// 风机频率
	public static final String TPOINT_WT_WGGL = "AI131";// 无功功率
	public static final String TPOINT_WT_FJKYL = "AI001";// 风机可用率
	public static final String TPOINT_WT_LQSW = "AI051"; // 冷却水温
	public static final String TPOINT_WT_FJSSFS = "AI022";// 风机实时风速
	public static final String TPOINT_WT_FJZSXZ = "AI178";// 风机转速限值
	public static final String TPOINT_WT_FDJZCAWD = "AI052";// 发电机轴承A温度
	public static final String TPOINT_WT_FDJZCBWD = "AI053";// 发电机轴承B温度
	public static final String TPOINT_WT_ZJGD = "AI129"; // 转矩给定
	public static final String TPOINT_WT_FJGLKZXZ = "AI426";// UP97 取值 功率控制限值
	public static final String TPOINT_WT_LLGL = "BZGL";// 风机理论功率
	public static final String TPOINT_WT_YFGL = "ZSGL";// 风机应发功率
	public static final String TPOINT_WT_RFDLZS = "RFDLZS";// 日理论发电量

	// 新增
	public static final String TPOINT_WT_HDL = "AI197";// 耗电量
	public static final String TPOINT_WT_SCZT = "AI427";// 刹车状态
	public static final String TPOINT_WT_JLDZ = "AI402";// 解缆动作、正在偏航、解缆
	public static final String TPOINT_WT_FQDDWD = "AI053";// 发电机非驱动端温度
	public static final String TPOINT_WT_HXZD = "AI227_HB";// 横向振动
	public static final String TPOINT_WT_ZXZD = "AI226_HB";// 纵向振动
	public static final String TPOINT_WT_GZDM = "FJBJ";// 故障代码
	public static final String TPOINT_WT_LQSWD = "AI042";// 齿轮箱冷却水温度
	public static final String TPOINT_WT_ZZQDWD = "AI186_HB";// 主轴轴承前驱侧温度
	public static final String TPOINT_WT_YYXTYY = "AI018";// 液压系统油压
	public static final String TPOINT_WT_FDJLQSWD = "AI300";// 液压系统油压

	// public static final String TPOINT_WT_RFDLBZ = "RFDLLL";//日理论发电量

	public static final String TPOINT_WT_RFDLBZ = "RFDLBZ";// 日应发电量

	public static final String TPOINT_WT_NBQJLDY = "AIG061";// 逆变器交流电压
	public static final String TPOINT_WT_NBQJLDL = "AIG060";// 逆变器交流电流
	public static final String TPOINT_WT_NBQZLDY = "AIG081";// 逆变器直流电压
	public static final String TPOINT_WT_NBQZLDL = "AIG078";// 逆变器直流电流

	public static final String TPOINT_WT_NBQPL = "AIG073";// 逆变器频率
	public static final String TPOINT_WT_NBQGLYSSZ = "AIG069";// 功率因数设置
	public static final String TPOINT_WT_NBQGLYSSZ2 = "AIG104";// 功率因数设置
	public static final String TPOINT_WT_NBQZFDL = "AIG064";// 逆变相总发电量
	public static final String TPOINT_WT_NBQKQWD = "AIG071";// 逆变器空气温度
	public static final String TPOINT_WT_NBQXL = "AIG072";// 逆变器效率

	public static final String RFDLD = "RFDLD"; // 日理论发电量
	public static final String RFDLE = "RFDLE"; // 日应发发电量
	public static final String FJZT = "FJZT"; // 风场状态

	public static final String ZBZGL = "ZBZGL";// 理论功率
	public static final String ZSGLZZSGL = "ZZSGL";// 应发功率

	public static final String RLZSSDL = "RLZSSDL"; // 日场内受累检修
	public static final String RSZSSDL = "RSZSSDL"; // 日场内受累故障
	public static final String RWZSSDL = "RWZSSDL"; // 日场外受累电网
	public static final String RTZSSDL = "RTZSSDL"; // 日场外受累天气

	public static final String YLZSSDL = "YLZSSDL"; // 月场内受累检修
	public static final String YSZSSDL = "YSZSSDL"; // 月场内受累故障
	public static final String YWZSSDL = "YWZSSDL"; // 月场外受累电网
	public static final String YTZSSDL = "YTZSSDL"; // 月场外受累天气

	public static final String NLZSSDL = "NLZSSDL"; // 年场内受累检修
	public static final String NSZSSDL = "NSZSSDL"; // 年场内受累故障
	public static final String NWZSSDL = "NWZSSDL"; // 年场外受累电网
	public static final String NTZSSDL = "NTZSSDL"; // 年场外受累天气

	public static final String RQFSSDL = "RQFSSDL"; // 日性能损失电量
	public static final String RXNSSDL_ZS = "RXNSSDL-ZS"; // 日性能损失电量风机

	public static final String RQFSSDL_ZS = "RQFSSDL-ZS";
	public static final String RXDSSDL_ZS = "RXDSSDL-ZS";
	public static final String RWZSSDL_ZS = "RWZSSDL-ZS";
	public static final String RTZSSDL_ZS = "RWZSSDL-ZS";
	public static final String RDJSSDL_ZS = "RDJSSDL-ZS";
	public static final String RSTSSDL_ZS = "RSTSSDL-ZS";
	public static final String RQXSSDL_ZS = "RQXSSDL-ZS";
	public static final String RGZSSDL_ZS = "RGZSSDL-ZS";
	public static final String RSZSSDL_ZS = "RSZSSDL-ZS";
	public static final String RJXSSDL_ZS = "RJXSSDL-ZS";
	public static final String RLZSSDL_ZS = "RLZSSDL-ZS";

	public static final String YQFSSDL_ZS = "YQFSSDL-ZS";
	public static final String YXDSSDL_ZS = "YXDSSDL-ZS";
	public static final String YWZSSDL_ZS = "YWZSSDL-ZS";
	public static final String YTZSSDL_ZS = "YWZSSDL-ZS";
	public static final String YDJSSDL_ZS = "YDJSSDL-ZS";
	public static final String YSTSSDL_ZS = "YSTSSDL-ZS";
	public static final String YQXSSDL_ZS = "YQXSSDL-ZS";
	public static final String YGZSSDL_ZS = "YGZSSDL-ZS";
	public static final String YSZSSDL_ZS = "YSZSSDL-ZS";
	public static final String YJXSSDL_ZS = "YJXSSDL-ZS";
	public static final String YLZSSDL_ZS = "YLZSSDL-ZS";

	public static final String NXNSSDL_ZS = "NXNSSDL-ZS"; // 日性能损失电量风机
	public static final String NQFSSDL_ZS = "NQFSSDL-ZS";
	public static final String NXDSSDL_ZS = "NXDSSDL-ZS";
	public static final String NWZSSDL_ZS = "NWZSSDL-ZS";
	public static final String NTZSSDL_ZS = "NWZSSDL-ZS";
	public static final String NDJSSDL_ZS = "NDJSSDL-ZS";
	public static final String NSTSSDL_ZS = "NSTSSDL-ZS";
	public static final String NQXSSDL_ZS = "NQXSSDL-ZS";
	public static final String NGZSSDL_ZS = "NGZSSDL-ZS";
	public static final String NSZSSDL_ZS = "NSZSSDL-ZS";
	public static final String NJXSSDL_ZS = "NJXSSDL-ZS";
	public static final String NLZSSDL_ZS = "NLZSSDL-ZS";

	// public static final String RQFSSDL = "RXNZSDL"; // 日性能损失电量
	// public static final String RXNSSDL_ZS = "RXNSSDL-ZS"; // 日性能损失电量风机
	public static final String RGZSSDL = "RGZSSDL"; // 日故障损失电量
	public static final String RJXSSDL = "RJXSSDL"; // 日检修损失电量
	public static final String RXDSSDL = "RXDSSDL"; // 日限电损失电量

	public static final String YQFSSDL = "YQFSSDL"; // 月欠发损失电量
	public static final String YXNSSDL_ZS = "YXNSSDL-ZS"; // 月性能损失电量风机

	// public static final String YQFSSDL = "YXNZSDL"; // 月性能损失电量
	// public static final String YXNSSDL_ZS = "YXNSSDL-ZS"; // 月性能损失电量风机
	public static final String YGZSSDL = "YGZSSDL"; // 月故障损失电量
	public static final String YJXSSDL = "YJXSSDL"; // 月检修损失电量
	public static final String YXDSSDL = "YXDSSDL"; // 月限电损失电量

	public static final String NQFSSDL = "NQFSSDL"; // 年欠发损失电量

	// public static final String NQFSSDL = "NXNZSDL"; // 年性能损失电量
	// public static final String NXNSSDL_ZS = "NXNSSDL-ZS"; // 年性能损失电量风机
	public static final String NGZSSDL = "NGZSSDL"; // 年故障损失电量
	public static final String NJXSSDL = "NJXSSDL"; // 年检修损失电量
	public static final String NXDSSDL = "NXDSSDL"; // 年限电损失电量
	/********************************* begin ***********************************/
	/**
	 * 修改五项损失为自算
	 */
	public static final String RSDJZSDL = "RSDJZSDL";
	public static final String RSSTZSDL = "RSSTZSDL";
	public static final String RXNZSDL = "RXNZSDL";
	public static final String RSQXZSDL = "RSQXZSDL";
	public static final String RGZZSDL = "RGZZSDL";
	public static final String RSZZSDL = "RSZZSDL";
	public static final String RJXZSDL = "RJXZSDL";
	public static final String RLZZSDL = "RLZZSDL";
	public static final String RQFZSDL = "RQFZSDL";
	public static final String RXDZSDL = "RXDZSDL";
	public static final String RWZZSDL = "RWZZSDL";
	public static final String RTZZSDL = "RTZZSDL";

	public static final String YSDJZSDL = "YSDJZSDL";
	public static final String YSSTZSDL = "YSSTZSDL";
	public static final String YXNZSDL = "YXNZSDL";
	public static final String YSQXZSDL = "YSQXZSDL";
	public static final String YGZZSDL = "YGZZSDL";
	public static final String YSZZSDL = "YSZZSDL";
	public static final String YJXZSDL = "YJXZSDL";
	public static final String YLZZSDL = "YLZZSDL";
	public static final String YQFZSDL = "YQFZSDL";
	public static final String YXDZSDL = "YXDZSDL";
	public static final String YWZZSDL = "YWZZSDL";
	public static final String YTZZSDL = "YTZZSDL";

	public static final String NSDJZSDL = "NSDJZSDL";
	public static final String NSSTZSDL = "NSSTZSDL";
	public static final String NXNZSDL = "NXNZSDL";
	public static final String NSQXZSDL = "NSQXZSDL";
	public static final String NGZZSDL = "NGZZSDL";
	public static final String NSZZSDL = "NSZZSDL";
	public static final String NJXZSDL = "NJXZSDL";
	public static final String NLZZSDL = "NLZZSDL";
	public static final String NQFZSDL = "NQFZSDL";
	public static final String NXDZSDL = "NXDZSDL";
	public static final String NWZZSDL = "NWZZSDL";
	public static final String NTZZSDL = "NTZZSDL";
	/********************************* end ***********************************/
	public static final String FCCFTFS10 = "FCCFTFS10";// 测风塔10米风速
	public static final String FCCFTFS30 = "FCCFTFS30";// 测风塔30米风速
	public static final String FCCFTFS50 = "FCCFTFS50";// 测风塔50米风速
	public static final String FCCFTFS60 = "FCCFTFS60";// 测风塔60米风速
	public static final String FCCFTFS70 = "FCCFTFS70";// 测风塔70米风速
	public static final String FCCFTFS80 = "FCCFTFS80";// 测风塔80米风速

	public static final String FCCFTFX10 = "FCCFTFX10";// 测风塔10米风向
	public static final String FCCFTFX30 = "FCCFTFX30";// 测风塔30米风向
	public static final String FCCFTFX50 = "FCCFTFX50";// 测风塔50米风向
	public static final String FCCFTFX60 = "FCCFTFX60";// 测风塔60米风向
	public static final String FCCFTFX70 = "FCCFTFX70";// 测风塔70米风向
	public static final String FCCFTFX80 = "FCCFTFX80";// 测风塔80米风向

	public static final String FCCFTWD = "FCCFTWD";// 测风塔温度
	public static final String FCCFTSD = "FCCFTSD";// 测风塔湿度
	public static final String FCCFTYQ = "FCCFTYQ";// 测风塔压强
	public static final String FCCFTMD = "KQMD";// 空气密度
}
