package com.gyee.frame.util.golden.timeseries;

import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author songwb<songwb@aliyun.com>
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GeneralTsData implements TsData {

    private long ts;
    private short status;
    private Optional<Double> doubleValue;
    private Optional<Long> longValue;
    private Optional<Boolean> booleanValue;
    private Optional<String> stringValue;
    private Optional<String> blobValue;
    private Optional<Coordinate> coordinateValue;

}

