package test;

import com.gyee.SpringbootStart;
import com.gyee.frame.common.spring.SpringUtils;
import com.gyee.frame.model.auto.Windpowerinfoday;
import com.gyee.frame.model.auto.Windturbineinfoday;
import com.gyee.frame.service.WindpowerinfodayService;
import com.gyee.frame.service.WindturbineinfodayService;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.text.ParseException;
import java.util.Calendar;

public class RelationalDataBaseTest {

    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);

        WindturbineinfodayService windturbineinfodayService = SpringUtils.getBean("windturbineinfodayService");
        WindpowerinfodayService windpowerinfodayService = SpringUtils.getBean("windpowerinfodayService");

//        LineExample lineExample=new LineExample();
//
//        List<Line> ls=lineService.selectByExample(lineExample);

        Calendar c = Calendar.getInstance();

        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);

        Windturbineinfoday wt= null;
        try {
            wt = windturbineinfodayService.findListByDate("CL01_001",c.getTime());
        } catch (ParseException e) {
            e.printStackTrace();
        }
        Windpowerinfoday wp= null;
        try {
            wp = windpowerinfodayService.findListByDate("CL_FDC",c.getTime());
        } catch (ParseException e) {
            e.printStackTrace();
        }

        System.out.println(wt.getRecorddate()+ "___" +wt.getGeneratingcapacity2());
        System.out.println(wp.getRecorddate()+ "___" +wp.getDaylyxs());


    }


}
