package com.gyee.frame.common.conf;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Wang Jiawen
 * @purpose 读取地址信息
 * @date 2020-03-09 13:03
 */
@Data
@Component
@ConfigurationProperties(prefix="developmentprops") //接收application.yml中的myProps下面的属性
public class DevelopMentPropsConfig {
    private String vuePrefixAddress;
    private String backstagePrefixAddress;
    private Map<String,String> mapProps;
}
