package com.gyee.frame.common.quartz.task;

import java.text.ParseException;
import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gyee.frame.mapper.auto.TsysUserMapper;
import com.gyee.frame.service.WeatherfdService;

/**
 * 
	 *@author:Li Miao
	 *
	 *@description: 向页面预测未来8~15天气象推送数据
	 *
	 *@createTime:2020年2月13日
	 *
 */
@Component("weatherDataPushByDay_8_15")
public class WeatherfdPushTask_8_15 {
	@Autowired
	private TsysUserMapper tsysUserMapper;
	@Autowired
    private WeatherfdService weatherfdService;
    /**
     * 无参的任务
     */
	
	 public void runTaskProphet_8_15() throws ParseException {        
	        weatherfdService.listProphet8_15();//调用list方法完成对 key ："weatherProphet_8_15" ，路径"weather/weatherProphet_8_15"的推送
	        //System.out.println("我已执行");
	    }

	    /**
	     * 有参任务
	     * 目前仅执行常见的数据类型  Integer Long  带L  string  带 ''  bool Double 带 d
	     * @param a
	     * @param b
	     */
	 public void runTask2(Integer a,Long b,String c,Boolean d,Double e)
	    {
	    	//List<TsysUser> list=  tsysUserMapper.selectByExample(new TsysUserExample());
	    	//System.err.println("用户查询num："+list.size());
	        System.out.println("正在执行定时任务，带多个参数的方法"+a+"   "+b+" "+c+"  "+d+" "+e+"执行时间:"+new Date().toLocaleString());
	    }

}
