package com.gyee.frame.common.quartz.task;

import com.gyee.frame.mapper.auto.TsysUserMapper;
import com.gyee.frame.model.auto.Weatherfd;
import com.gyee.frame.service.WeatherfdService;
import com.gyee.frame.service.WeatherfhService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

/**
 * 
	 *@author:Li Miao
	 *
	 *@description: 向页面预测未来16小时气象推送数据
	 *
	 *@createTime:2020年2月19日
	 *
 */
@Component("weatherDataPushByHour_7Day_17Hour")
public class WeatherfhPushTask_7Day_17Hour {
	@Autowired
	private TsysUserMapper tsysUserMapper;
	@Autowired
    private WeatherfhService weatherfhService;
    /**
     * 无参的任务
     */
        
    public void runTaskProphet_17() throws ParseException {        
        weatherfhService.listProphet7Day_17Hour();;//调用list方法完成对 key ："weatherProphet_7_17Hour" ，路径"weather/weatherProphet_7_17Hour"的推送
        //System.out.println("我已执行");
    }

    /**
     * 有参任务
     * 目前仅执行常见的数据类型  Integer Long  带L  string  带 ''  bool Double 带 d
     * @param a
     * @param b
     */
    public void runTask2(Integer a,Long b,String c,Boolean d,Double e)
    {
    	//List<TsysUser> list=  tsysUserMapper.selectByExample(new TsysUserExample());
    	//System.err.println("用户查询num："+list.size());
        System.out.println("正在执行定时任务，带多个参数的方法"+a+"   "+b+" "+c+"  "+d+" "+e+"执行时间:"+new Date().toLocaleString());
    }

}
